package com.eactive.ext.kjb.sso;

import lombok.Getter;

public enum ExtendedInfo {
    DATEOFBIRTH("생년월일 + 성별"),
    CELLPHONENO("핸드폰"),
    UPPERTCODE("모점점번코드"),
    PARTCODE("소속부점코드"),
    LEGACYDEPTCODE("인사부서코드"),
    LEGACYDEPTNAME("인사부서명"),
    LEGACYPOSITIONCODE("인사직위코드"),
    LEGACYPOSITIONNAME("인사직위명"),
    LEGACYFUNCTIONCODE("인사직책코드"),
    LEGACYFUNCTIONNAME("인사직책명"),
    LEGACYROLLCODE("인사직무코드"),
    LEGACYROLLNAME("인사직무명"),
    LEGACYOFCLEVELCODE("인사직급코드"),
    LEGACYOFCLEVELNAME("인사직급명"),
    PART_GBN("본부(1), 영업점(2)"),
    STATUS("재직(1),휴가(2),퇴직(9)"),
    CEF_APPOINTDATE("최종방령일"),
    OTHERDEPTCODE("겸직/파견 부서코드"),
    OTHERDEPTNAME("겸직/파견 부서명"),
    OTHERPOSITIONCODE("겸직/파견 직위코드"),
    OTHERFIUNCTIONCODE("겸직/파견 직책코드"),
    OTHERROLLCODE("겸직/파견 직무코드"),
    OTHEROFCLEVELCODE("겸직/파견 직급코드")
    ;


    @Getter
    private final String description;

    ExtendedInfo(String description) {
        this.description = description;
    }
}
